Bug 220601 - devel/cpp-hocon: Update to 0.1.5
Summary: devel/cpp-hocon: Update to 0.1.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Romain Tartière
URL:
Keywords: needs-qa, patch
Depends on: 220471
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 13:29 UTC by Romain Tartière
Modified: 2017-07-27 17:49 UTC (History)
2 users (show)

See Also:
jslagle: maintainer-feedback+


Attachments
Update to 0.1.5 (33.56 KB, patch)
2017-07-10 13:29 UTC, Romain Tartière
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Romain Tartière freebsd_committer 2017-07-10 13:29:04 UTC
Created attachment 184231 [details]
Update to 0.1.5

The attached patch updates cpp-hocon to the latest version available.

I chose to stick to the buggy upstream defaults that lead to build a liblibcpp-hocon.so library (note the extra "lib") since my consumer of this library (Facter) already needs to be patched (it looks for libcpp-hocon.a which is not handy for the ports infrastructure).

As a consequence, all patches are removed.

Please note that I am working on sysutils/puppet5.  I'll get in touch with you and other puppet-related ports maintainers when I get to some result in order to gather feedback and reviews.  Stay tuned!
Comment 1 Romain Tartière freebsd_committer 2017-07-10 13:29:44 UTC
Add dependency on #220471
Comment 2 Jason Slagle 2017-07-11 00:56:51 UTC
I will test this in the AM.
Comment 3 Romain Tartière freebsd_committer 2017-07-27 17:35:21 UTC
Take it
Comment 4 commit-hook freebsd_committer 2017-07-27 17:49:10 UTC
A commit references this bug:

Author: romain
Date: Thu Jul 27 17:48:34 UTC 2017
New revision: 446769
URL: https://svnweb.freebsd.org/changeset/ports/446769

Log:
  Update to 0.1.5

  Remove all patches: it's simpler to cope with the wrong library name in
  dependent ports while this change has not been merged upstream.

  PR:		220601 [1], 220661 [2]
  Submitted by:	romain [1], sunpoet [2]
  With hat:	puppet

Changes:
  head/devel/cpp-hocon/Makefile
  head/devel/cpp-hocon/distinfo
  head/devel/cpp-hocon/files/
  head/devel/cpp-hocon/pkg-plist